/**
 * 客户实体映射类
 * Client.java
 * Copyright (C) 2010 SLMS
 * Simple Logistics Management System
 * 
 */
package com.zds.slms.domain;

import java.util.HashSet;
import java.util.Set;

/**
 * 
 * Copyright (C) 2010:SLMS<br/>
 * Project:SLMS<br/>
 * Module ID:<br/>
 * Comments:Simple Logistics Management System<br/>
 * JDK version used:JDK1.6<br/>
 * Package:com.zds.bss.domain<br/>
 * Author:chenyongzheng<br/>
 * Create Date:2010-12-3<br/>
 * Modified By:<br/>
 * Modified Date:<br/>
 * Why & What is modified:<br/>
 * Version:0.1
 */
@SuppressWarnings({ "rawtypes", "serial" })
public class Client implements java.io.Serializable {

	private Integer id;
	private String code;
	private String name;
	private String address;
	private String telephone;
	private String email;
	private Set stockins = new HashSet(0);
	private Set stockorders = new HashSet(0);

	public Client() {
	}

	public Client(String code, String name, String address, String telephone) {
		this.code = code;
		this.name = name;
		this.address = address;
		this.telephone = telephone;
	}

	public Client(String code, String name, String address, String telephone,
			String email, Set stockins, Set stockorders) {
		this.code = code;
		this.name = name;
		this.address = address;
		this.telephone = telephone;
		this.email = email;
		this.stockins = stockins;
		this.stockorders = stockorders;
	}

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getCode() {
		return this.code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getAddress() {
		return this.address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getTelephone() {
		return this.telephone;
	}

	public void setTelephone(String telephone) {
		this.telephone = telephone;
	}

	public String getEmail() {
		return this.email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public Set getStockins() {
		return this.stockins;
	}

	public void setStockins(Set stockins) {
		this.stockins = stockins;
	}

	public Set getStockorders() {
		return this.stockorders;
	}

	public void setStockorders(Set stockorders) {
		this.stockorders = stockorders;
	}

}
